import fetch from "@/utils/fetch";
// 插件节点保存
export const save = (data) =>
  fetch("/design/bpm/processNodeDefinition/creating", data, "POST", true);
// 插件配置回填
export const queryBack = (data) =>
  fetch("/design/bpm/processNodeDefinition/byCondition", data, "POST");

// 获取业务账号
export const getUsers = (data) =>
  fetch(
    "/design/bpm/workflowDefinition/findBussinessAccountInfoByAppId",
    data,
    "GET"
  );

//获取参数
export const queryVariables = (data) =>
  fetch("/design/bpm/bpmVar/byCondition", data, "POST");

//获取账号组
export const queryUserGroupList = (data) =>
  fetch("/design/bpm/workflowDefinition/queryGroup", data, "GET");

//查询流程
export const queryWorkflow = (data) =>
  fetch("/design/bpm/workflowDefinition/byCondition", data, "POST");

export const queryAppWorkflow = data=> fetch("/design/bpm/workflowDefinition/queryAppWorkflow", data, "POST");

//获取公司
export const getCompany = (data) => fetch("/sso/identity/appBusinessAccount/listOrganizationsByAppId", data, "GET");
// 获取部门
export const getDepartment = (data) => fetch("/sso/identity/appBusinessAccount/listDepartmentsByAppId", data, "GET");
// 获取岗位
export const getStation = data => fetch("/sso/identity/appBusinessAccount/listStationsByAppId", data, "GET");
// 获取用户
export const getUser = data =>
    fetch("/sso/identity/appBusinessAccount/listBusinessAccountsByAppIdAndStationId", data, "GET");

// 获取用户
export const lazyNode = data =>
    fetch("/sso/identity/appBusinessAccount/lazyNode", data, "GET");

export const getDepartmentCon = data => fetch("/sso/identity/department/byCondition", data, "POST");