const deepMix = require("@antv/util/lib/deep-mix");
const each = require("@antv/util/lib/each");

class AddItemPanel {
  constructor(cfgs) {
    this._cfgs = deepMix(this.getDefaultCfg(), cfgs);
  }

  getDefaultCfg() {
    return { container: null };
  }

  get(key) {
    return this._cfgs[key];
  }

  set(key, val) {
    this._cfgs[key] = val;
  }
  initPlugin(graph) {}

  destroy() {
    this.get("canvas").destroy();
    const container = this.get("container");
    container.parentNode.removeChild(container);
  }
}

export default AddItemPanel;
