export function getShapeName(clazz) {
  switch (clazz) {
    // bpm流程节点
    case "start":
      return "start-node";
    case "end":
      return "end-node";
    case "gateway":
      return "gateway-node";
    case "exclusiveGateway":
      return "exclusive-gateway-node";
    case "parallelGateway":
      return "parallel-gateway-node";
    case "inclusiveGateway":
      return "inclusive-gateway-node";
    case "timerStart":
      return "timer-start-node";
    case "messageStart":
      return "message-start-node";
    case "signalStart":
      return "signal-start-node";
    case "userTask":
      return "user-task-node";
    case "scriptTask":
      return "script-task-node";
    case "mailTask":
      return "mail-task-node";
    case "javaTask":
      return "java-task-node";
    case "receiveTask":
      return "receive-task-node";
    case "timerCatch":
      return "timer-catch-node";
    case "messageCatch":
      return "message-catch-node";
    case "signalCatch":
      return "signal-catch-node";
    case "subProcess":
      return "sub-process-node";
    case "pool":
      return "pool-node";
    // 工作流流程节点
    case "db_insert":
      return "db-insert-node";
    case "db_update":
      return "db-update-node";
    case "db_delete":
      return "db-delete-node";
    case "db_findById":
      return "db-findById-node";
    case "db_findByPage":
      return "db-findByPage-node";
    case "db_findByWhere":
      return "db-findByWhere-node";
    case "db_bySql":
      return "db-bySql-node";
    case "db_findPageBySql":
      return "db-findPageBySql-node";
    case "restful":
      return "restful-node";
    case "rule_java":
      return "rule-java-node";
    case "rule_module":
      return "rule-moudule-node";
    case "rule_mq":
      return "rule-mq-node";
    case "rule_email":
      return "rule-email-node";
    case "rule_drools":
      return "rule-drools-node";
    case "bpm_start":
      return "bpm-start-node";
    case "bpm_pause":
      return "bpm-pause-node";
    case "bpm_active":
      return "bpm-active-node";
    case "bpm_destroy":
      return "bpm-destroy-node";
    case "bpm_approve":
      return "bpm-approve-node";
    case "bpm_addUser":
      return "bpm-addUser-node";
    case "bpm_commissionTask":
      return "bpm-commissionTask-node";
    case "bpm_perform":
      return "bpm-perform-node";
    case "bpm_workflowInstDetail":
      return "bpm-workflowInstDetail-node";
    case "bpm_taskAppoint":
      return "bpm-taskAppoint-node";
    default:
      return "task-node";
  }
}
