import fetch from "@/utils/fetch";
// 保存流程
export const edit = data => fetch("/design/bpm/workflowDefinition/saveWorkflowDetail", data, "POST");

// bpm流程变量查询
export const queryback = data => fetch("/design/bpm/bpmVar/byCondition", data, "POST");
// 流程变量保存
export const save = data => fetch("/design/bpm/bpmVar/batchSave", data, "POST", true);

// 部署
export const changeDeploy = data =>
  fetch("/design/bpm/workflowDefinition/changeDeployStatus", data, "POST", true);

// 删除节点保存的属性配置
export const deletePlugin = data => fetch("/design/bpm/processNodeDefinition/deleteByNodeId", data,
  "GET");

export const startWorkflow = data => fetch("/develop/processquery/bpmquery/start", data, "POST",true);

// 获取业务账号
export const getUsers = data =>
  fetch("/design/bpm/workflowDefinition/findBussinessAccountInfoByAppId", data, "GET");

export const queryBacklog = data => fetch("/develop/processquery/bpmquery/backlogOrFinishQuery", data, "POST",true);

// export const queryFinish = data => fetch("/develop/processquery/bpmquery/backlogOrFinishQuery", data, "POST",true);

// 暂停
export const pause = data => fetch("/develop/processquery/workflowDispose/pause", data, "GET", true);

// 激活
export const active = data => fetch("/develop/processquery/workflowDispose/active", data, "GET", true);

// 销毁
export const destoryStatus = data => fetch("/develop/processquery/workflowDispose/destory", data, "GET", true);

// 放行
export const complete = data => fetch("/develop/processquery/bpmquery/completeTask", data, "POST", true);
// 转办查询
export const queryAppoint = data => fetch("/develop/processquery/bpmquery/queryAppoint", data, "GET", true);
// 流程详情
export const queryWorkflowDetail = data => fetch("/develop/processquery/bpmquery/workflowDetail", data, "GET", true);
//获取流程走向
export const getDirection = data =>
  fetch("/develop/processquery/bpmquery/workflowDetail", data, "GET");

//保存转办人信息
export const saveAppoint = data =>
  fetch("/develop/processquery/bpmquery/saveAppoint", data, "POST",true);

// 加签查询
export const queryAddSign = data => fetch("/develop/processquery/bpmquery/countersignUser", data, "GET", true);
//保存加签人信息
export const saveAddSign = data =>
    fetch("/develop/processquery/bpmquery/saveAddSignUser", data, "POST",true);

//获取公司
export const getCompany = (data) => fetch("/sso/identity/appBusinessAccount/listOrganizationsByAppId", data, "GET");
// 获取部门
export const getDepartment = (data) => fetch("/sso/identity/appBusinessAccount/listDepartmentsByAppId", data, "GET");
// 获取岗位
export const getStation = data => fetch("/sso/identity/appBusinessAccount/listStationsByAppId", data, "GET");
// 获取用户
export const getUser = data =>
    fetch("/sso/identity/appBusinessAccount/listBusinessAccountsByAppIdAndStationId", data, "GET");

export const getDepartmentCon = data => fetch("/sso/identity/department/byCondition", data, "POST");
