import fetch from "@/utils/fetch";

//依据是应用还是门户来查询顶部tab
export const getTopTab = data =>
  fetch("/design/appmanage/applicationType/getApplicationType", data, "GET");
//查询左侧树数据
export const getColumn = data => fetch("/design/appmanage/applicationType/byCondition", data, "POST");
//树新建
export const treeCreating = data => fetch("/design/appmanage/applicationType/creating", data, "POST");
//树编辑
export const treeUpdating = data => fetch("/design/appmanage/applicationType/updating", data, "POST");
//树删除
export const deleteTree = data =>
  fetch(`/design/appmanage/applicationType/deleting?ids=${data}`, {}, "GET");

// 按类型查询微服务系统
export const getApplication = data => fetch("/design/appmanage/application/byPage", data, "POST");
// 新建系统
export const create = data => fetch("/design/appmanage/application/creating", data, "POST");
// 编辑系统
export const edit = data => fetch("/design/appmanage/application/updating", data, "POST");

//门户的新建和编辑
export const portalCreate = data => fetch("/design/appmanage/application/saveResource", data, "POST");
// 编辑系统
export const portalEdit = data => fetch("/design/appmanage/application/updateResource", data, "POST");

// 删除系统
export const deleting = data => fetch("/design/appmanage/application/deleting", data, "GET");
// 系统查重
export const repeatName = data => fetch("/design/appmanage/application/byCondition", data, "POST");
// 测试数据库连接
export const test = data => fetch("/design/sgw/d2aDataBase/testConnect", data, "POST");
// 邮件接口
export const getEmail = () => fetch("/design/sgw/m2aMail/byCondition", {}, "POST");

// 新建弹窗查询图标
export const queryLogo = data => fetch("/design/component/resource/byCondition", data, "POST");

// 导出应用
export const exportApplication = data =>
  fetch("/design/appmanage/application/exportApp", data, "GET");
// 获取导出应用状态
export const getExportStatus = data =>
  fetch("/design/appmanage/application/queryExportAppStatus", data, "GET");
// 获取导入应用状态
export const getImportStatus = () =>
  fetch("/design/appmanage/application/queryImportAppStatus", {}, "GET");
// 获取导入应用状态
export const cloneApp = data =>
  fetch("/design/appmanage/application/cloneApp", data, "POST", "", data);
