import * as URL from "./url";

export default [
  {
    path: URL.ROOT,
    redirect: URL.APP,
  },
  {
    path: URL.APP,
    redirect: URL.APP_DASHBOARD,
  },
  {
    path: URL.APP_DASHBOARD,
    component: (resolve) => require(["@/views/app/dashboard/index"], resolve),
  },
  {
    path: URL.APP_MAP,
    component: (resolve) => require(["@/views/app/map/index"], resolve),
  },
  {
    path: URL.APP_SERVICE,
    component: (resolve) => require(["@/views/app/service/index"], resolve),
  },
  {
    path: URL.APP_DICTIONARY,
    component: (resolve) => require(["@/views/app/dictionary/index"], resolve),
  },
  {
    path: URL.APP_TABLE,
    component: (resolve) => require(["@/views/app/table/index"], resolve),
  },
  {
    path: URL.APP_GROUP,
    component: (resolve) => require(["@/views/app/group/index"], resolve),
  },
  {
    path: URL.APP_APP,
    component: (resolve) => require(["@/views/app/app/index"], resolve),
  },
  {
    path: URL.APP_BPMDEFINE,
    component: (resolve) => require(["@/views/app/bpmDefine/index"], resolve),
  },
  {
    path: URL.APP_BPMMONITOR,
    component: (resolve) => require(["@/views/app/bpmmonitor/index"], resolve),
  },
  {
    path: URL.APP_BPMSIMULATION,
    component: (resolve) =>
      require(["@/views/app/bpmsimulation/index"], resolve),
  },

  {
    path: URL.APP_CONTENT,
    component: (resolve) => require(["@/views/app/content/index"], resolve),
  },

  // {
  //   path: URL.PORTAL,
  //   redirect: URL.PORTAL_DASHBOARD,
  // },
  // {
  //   path: URL.PORTAL_DASHBOARD,
  //   component: (resolve) =>
  //     require(["@/views/portal/dashboard/index"], resolve),
  // },
  {
    path: URL.PORTAL_SERVICE,
    component: (resolve) => require(["@/views/app/service/index"], resolve),
  },
  {
    path: URL.PORTAL_DICTIONARY,
    component: (resolve) => require(["@/views/app/dictionary/index"], resolve),
  },
  {
    path: URL.PORTAL_TABLE,
    component: (resolve) => require(["@/views/app/table/index"], resolve),
  },
  {
    path: URL.PORTAL_GROUP,
    component: (resolve) => require(["@/views/app/group/index"], resolve),
  },
  {
    path: URL.PORTAL_APP,
    component: (resolve) => require(["@/views/app/app/index"], resolve),
  },
  {
    path: URL.PORTAL_BPMDEFINE,
    component: (resolve) => require(["@/views/app/bpmDefine/index"], resolve),
  },
  {
    path: URL.PORTAL_BPMMONITOR,
    component: (resolve) => require(["@/views/app/bpmmonitor/index"], resolve),
  },
  {
    path: URL.PORTAL_BPMSIMULATION,
    component: (resolve) =>
      require(["@/views/app/bpmsimulation/index"], resolve),
  },
  {
    path: URL.PORTAL_MAP,
    component: (resolve) => require(["@/views/app/map/index"], resolve),
  },
  {
    path: URL.PORTAL_CONTENT,
    component: (resolve) => require(["@/views/app/content/index"], resolve),
  },
  {
    path: URL.PORTAL_EDITOR,
    component: (resolve) =>
      require(["@/views/app/portalEditor/index"], resolve),
  },

  {
    path: URL.SEARCH,
    redirect: URL.SEARCH_DATA,
  },
  {
    path: URL.SEARCH_DATA,
    component: (resolve) => require(["@/views/search/data/index"], resolve),
  },
  {
    path: URL.SEARCH_APP,
    component: (resolve) => require(["@/views/search/app/index"], resolve),
  },
  {
    path: URL.SCHEDULE,
    redirect: URL.SCHEDULE_TASK,
  },
  {
    path: URL.SCHEDULE_TASK,
    redirect: URL.SCHEDULE_TASK_DEVELOP,
  },
  {
    path: URL.SCHEDULE_TASK_DEVELOP,
    component: (resolve) =>
      require(["@/views/schedule/task/develop/index"], resolve),
  },
  {
    path: URL.SCHEDULE_TASK_PIPELINE,
    component: (resolve) =>
      require(["@/views/schedule/task/pipeline/index"], resolve),
  },
  {
    path: URL.SCHEDULE_TASK_ACCESS,
    component: (resolve) =>
      require(["@/views/schedule/task/access/index"], resolve),
  },
];
