import store from "./store";
import router from "./router";
import "./directive";
// 核心文件
import App from "./App";
import "./components";

import "@/assets/less/component.less";

Vue.use(ELEMENT, {
  size: "small"
});

// 关闭生产模式的提示
Vue.config.productionTip = false;

new Vue({
  el: "#app",
  store,
  router,
  render: h => h(App)
});
