import fetch from "@/utils/fetch";
// 左侧流程类别获取
export const getBpmType = data => fetch("/design/bpm/workflowType/byCondition", data, "POST");
export const bpmCreate = data => fetch("/design/bpm/workflowType/creating", data, "POST");
export const bpmEdit = data => fetch("/design/bpm/workflowType/updating", data, "POST");
export const bpmDelete = data => fetch("/design/bpm/workflowType/deleting", data, "GET");
export const repeatBpmName = data => fetch("/design/bpm/workflowType/byCondition", data, "POST");

// 表格查询
export const create = data => fetch("/design/bpm/workflowDefinition/creating", data, "POST", true);
export const edit = data => fetch("/design/bpm/workflowDefinition/updating", data, "POST", true);
export const repeatTableName = data => fetch("/design/bpm/workflowDefinition/byCondition", data,
  "POST");
export const queryData = data => fetch("/design/bpm/workflowDefinition/byPage", data, "POST");
export const deleting = data => fetch("/design/bpm/workflowDefinition/deleting", data, "GET", true);

// 部署
export const deploy = data =>
  fetch("/design/bpm/workflowDefinition/changeDeployStatus", data, "POST", true);


// 销毁
export const clone = data => fetch("/design/bpm/workflowDefinition/cloneWorkflow", data, "GET");

export const queryAppWorkflow = data=> fetch("/design/bpm/workflowDefinition/queryAppWorkflow", data, "POST");

// 获取业务账号
export const getUsers = data =>
  fetch("/design/bpm/workflowDefinition/findBussinessAccountInfoByAppId", data, "GET");
