import fetch from "@/utils/fetch";
//左侧树
export const getLeftTree = data => fetch("/design/bpm/workflowType/getWorkflowTree", data, "GET");
//查询表格
export const queryData = data => fetch("/design/bpm/workflowInst/byPage", data, "POST");
//获取流程详情
export const getPreview = data => fetch("/design/bpm/workflowDefinition/byCondition", data, "POST");
//获取流程走向
export const getDirection = data =>
  fetch("/develop/processquery/bpmquery/workflowDetail", data, "GET");
//转办，挂起，激活，终止操作
export const operate = data => fetch("/processoperate/operate/dealWithProcess", data, "POST", true);

//获取所有用户
export const getUser = () => fetch("/systemsetting/user/byAll", {}, "GET");

//审批表单
export const queryFormView = data =>
  fetch("/processquery/query/queryTaskFormDataByTaskId", data, "GET");
// 新建
export const create = data => fetch("/design/bpm/workflowInst/creating", data, "POST");
// 查询子流程
export const queryWorkflowChild = data => fetch("/design/bpm/workflowInst/byCondition", data, "POST");

// 查重
export const repeatName = data => fetch("/design/bpm/workflowInst/byCondition", data, "POST");

// 启动流程
export const startWorkflow = data => fetch("/develop/processquery/workflowDispose/start", data, "POST");

// 暂停
export const pause = data => fetch("/develop/processquery/workflowDispose/pause", data, "GET", true);

// 激活
export const active = data => fetch("/develop/processquery/workflowDispose/active", data, "GET", true);

// 销毁
export const destory = data => fetch("/develop/processquery/workflowDispose/destory", data, "GET", true);
