import * as URL from "./url";

export default [
  {
    name: "应用开发",
    path: URL.APP,
    icon: "panelTheme",
    children: [
      {
        name: "服务开发",
        path: URL.APP_SERVICE,
        icon: "serviceDevelopment"
      },
      {
        name: "基础数据",
        icon: "dataBase",
        children: [
          {
            name: "数据字典",
            path: URL.APP_DICTIONARY,
            icon: "default"
          },
          {
            name: "业务表",
            path: URL.APP_TABLE,
            icon: "default"
          }
        ]
      },
      {
        name: "配置中心",
        icon: "default",
        children: [
          {
            name: "运行组",
            path: URL.APP_GROUP,
            icon: "default"
          },
          {
            name: "应用设置",
            path: URL.APP_APP,
            icon: "default"
          }
        ]
      },
      {
        name: "BPM定义",
        path: URL.APP_BPMDEFINE,
        icon: "processDevelopment"
      },
      {
        name: "BPM监控",
        path: URL.APP_BPMMONITOR,
        icon: "processMonitor"
      },
      {
        name: "BPM仿真",
        path: URL.APP_BPMSIMULATION,
        icon: "processSimulation"
      },
      {
        name: "服务地图",
        path: URL.APP_MAP,
        icon: "serviceMap"
      },
      {
        name: "内容管理",
        path: URL.APP_CONTENT,
        icon: "default"
      }
    ]
  },
  {
    name: "门户开发",
    path: URL.PORTAL,
    icon: "gatewayDevelop",
    children: [
      {
        name: "服务开发",
        path: URL.PORTAL_SERVICE,
        icon: "serviceDevelopment"
      },
      {
        name: "基础数据",
        icon: "dataBase",
        children: [
          {
            name: "数据字典",
            path: URL.PORTAL_DICTIONARY,
            icon: "default"
          },
          {
            name: "业务表",
            path: URL.PORTAL_TABLE,
            icon: "default"
          }
        ]
      },
      {
        name: "配置中心",
        icon: "default",
        children: [
          {
            name: "运行组",
            path: URL.PORTAL_GROUP,
            icon: "default"
          },
          {
            name: "应用设置",
            path: URL.PORTAL_APP,
            icon: "default"
          }
        ]
      },
      {
        name: "BPM定义",
        path: URL.PORTAL_BPMDEFINE,
        icon: "processDevelopment"
      },
      {
        name: "BPM监控",
        path: URL.PORTAL_BPMMONITOR,
        icon: "processMonitor"
      },
      {
        name: "BPM仿真",
        path: URL.PORTAL_BPMSIMULATION,
        icon: "processSimulation"
      },
      {
        name: "服务地图",
        path: URL.PORTAL_MAP,
        icon: "serviceMap"
      },
      {
        name: "内容管理",
        path: URL.PORTAL_CONTENT,
        icon: "default"
      }
    ]
  },
  { name: "Api定义", path: URL.API, icon: "inlatformSet" },
  {
    name: "服务编排",
    path: URL.PIPELINE,
    icon: "serviceOrchestration"
  },
  {
    name: "Java仓库",
    path: URL.JAVA,
    icon: "componentWarehouseJava",
    children: [
      {
        name: "公共组件",
        path: URL.JAVA_PUBLIC,
        icon: "commonComponents"
      },
      {
        name: "应用组件",
        path: URL.JAVA_APP,
        icon: "appComponents"
      }
    ]
  },
  {
    name: "搜索中心",
    path: URL.SEARCH,
    icon: "searchCenter",
    children: [
      {
        name: "数据源配置",
        path: URL.SEARCH_DATA,
        icon: "dataConfig"
      },
      { name: "搜索", path: URL.SEARCH_APP, icon: "search" }
    ]
  },
  {
    name: "调度中心",
    path: URL.SCHEDULE,
    icon: "dispatchCenter",
    children: [
      {
        name: "调度任务",
        path: URL.SCHEDULE_TASK,
        icon: "taskschedule",
        children: [
          {
            name: "服务开发",
            path: URL.SCHEDULE_TASK_DEVELOP,
            icon: "default"
          },
          {
            name: "服务编排",
            path: URL.SCHEDULE_TASK_PIPELINE,
            icon: "default"
          },
          {
            name: "服务接入",
            path: URL.SCHEDULE_TASK_ACCESS,
            icon: "default"
          }
        ]
      }
    ]
  }
];
