import Router from "vue-router";
import routes from "../config/routes";

// 注册路由
Vue.use(Router);

// 配置路由
const router = new Router({
  routes: [
    {
      path: "*",
      name: "404",
      component: resolve => require(["@/views/404/index"], resolve)
    },
    ...routes
  ]
});

export default router;
