import fetch from "@/utils/fetch";
// 左侧模块相关接口
export const getTree = data => fetch("/design/appmanage/module/byCondition", data, "POST");
export const createTree = data => fetch("/design/appmanage/module/creating", data, "POST");
export const deleteTree = data => fetch(`/design/appmanage/module/deleting?ids=${data}`, {}, "GET");
export const editTree = data => fetch("/design/appmanage/module/updating", data, "POST");
export const repeatTree = data => fetch("/design/appmanage/module/byCondition", data, "POST");
// 服务开发及编排接口新建
export const create = data => fetch("/design/develop/apiRestful/creating", data, "POST");
//新建版本
export const createVersion = data => fetch("/design/develop/apiRestful/createVersion", data, "POST");
export const edit = data => fetch("/design/develop/apiRestful/updating", data, "POST");
export const repeatApiName = data => fetch("/design/develop/apiRestful/byCondition", data, "POST");
export const queryData = data => fetch("/design/develop/apiRestful/byPage", data, "POST");
export const deleting = data => fetch("/design/develop/apiRestful/deleting", data, "GET");
export const findById = data => fetch("/design/develop/apiRestful/" + data);

//基础接口配置相关接口
// 类型选择接口分类
export const changeType = data => fetch("/design/develop/apiRestful/changeType", data, "POST");
// 保存基础接口配置
export const saveBasicRestful = data =>
  fetch("/design/sgw/d2aTableRestful/updating", data, "POST");

//获取可导入表
export const getImportedTable = data => fetch("/design/sgw/d2aTable/byCondition", data, "POST");
//基础接口新建获取业务表
export const getTable = data =>
  fetch("/rest/servicepublish/service/optionalTable?moduleId=" + data, {}, "GET");
//业务表选择查询对应表下字段
export const checkFiled = data => fetch("/design/sgw/d2aFields/byCondition", data, "POST");
//测试
export const testApi = (data, req) => fetch(req.root + req.url, data, req.method);
export const getDb = data => fetch("/design/sgw/d2aDataBase/byCondition", data, "POST");
export const getBack = data => fetch(`/design/sgw/d2aTableRestful/${data.id}`, {}, "GET");
export const deleteByCondition = data =>
  fetch(`/design/develop/apiRestful/deleteByCondition`, data, "POST");
